#include "headers.h"

Drobi::Drobi(void)  // конструктор по умолчанию
{
	
}


Drobi::Drobi(int n, int d,char* name){  // конструктор с данными
	znam = d;
	chisl = n;
	Name = name;
	Cokr();
	
	
}

Drobi::Drobi(Drobi&a){     // конструктор копирования
	chisl = a.chisl; znam = a.znam;
}

int Drobi::getCisl(){     // возвращает значение числителя
	return chisl;
}

int Drobi::getZnom(){   //возвращает значение знаменателя
	return znam;
}



void Drobi::setDrobi(int n, int m){ // ф-я установки значений компонентов объекта, проверяет корректность входных пар-ов затем сокращает дробь
	if (m){
		znam = m; chisl = n; Cokr();
	}
}
void Drobi::Cokr(){   // ф-я сокращения дроби
	int a = chisl; int b = znam;
	while (a != b) if (a > b) a -= b; else b -= a;
	chisl /= a; znam /= b;
}
	

	
	
